package jp.ito.camera;


import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.Log;
import android.view.View;
import android.widget.Toast;

public class NoiseView extends View {
	public float _data = -1;
	
    //僐儞僗僩儔僋僞
    public NoiseView(Context context) {
        super(context);
        setBackgroundColor(Color.LTGRAY);
    }

    //昤夋
    @Override 
    protected void onDraw(Canvas canvas) {
        //儁僀儞僩
        Paint paint=new Paint();       
        paint.setAntiAlias(true);
        paint.setTextSize(12);
        
        //抣偺昞帵
        canvas.drawText("壒検 : " + (int)_data, 10, 18*1, paint);
        String str = "仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭";
        if ( _data < 10000){
        	canvas.drawText(str.substring(0,(int)_data / 300 + 1), 10, 18*2, paint);
        }
    }
}
